| Kea 3.0.2-git

isc::test::Sandbox Class Reference

A Sandbox class that provides access to unit test unique temporary folder. More...

`#include <sandbox.h>`

## Public Member Functions
| Sandbox ()
| Sandbox constructor.
| ~Sandbox ()
| Destructor, it deletes temporary folder with its content.
std::string | join (std::string file)
| Join sandbox path with indicated file subpath.

## Detailed Description

A Sandbox class that provides access to unit test unique temporary folder.

The sandbox's temporary folder is created in constructor ie. in unit test setup phase, and then it is deleted with its content in destructor ie. in unit test tear down phase.

Definition at line 28 of file sandbox.h.

## Constructor & Destructor Documentation

## ◆ Sandbox()

isc::test::Sandbox::Sandbox | ( |  | ) |
| inline

Sandbox constructor.

Definition at line 42 of file sandbox.h.

## ◆ ~Sandbox()

isc::test::Sandbox::~Sandbox | ( |  | ) |
| inline

Destructor, it deletes temporary folder with its content.

Definition at line 48 of file sandbox.h.

## Member Function Documentation

## ◆ join()

std::string isc::test::Sandbox::join | ( | std::string | file | ) |
| inline

Join sandbox path with indicated file subpath.

Parameters

  file | path to file that should be joined to base path of sandbox.

Definition at line 60 of file sandbox.h.

The documentation for this class was generated from the following file:

- sandbox.h